devel/hs-stm-chans - The NetBSD Packages Collection

Additional types of channels for STM

This package offers a collection of channel types, similar to
Control.Concurrent.STM.{TChan,TQueue} but with additional features. In
particular we offer the following data types:

Control.Concurrent.STM.TBChan:
    Bounded FIFO channels. When the channel is full, writers will
    block/retry. This ensures that the writers do not get too far ahead of
    the readers, which helps to make sure that memory and cpu resources are
    used responsibly.

Control.Concurrent.STM.TMChan:
    Closeable FIFO channels.

Control.Concurrent.STM.TMQueue:
    Closeable FIFO queues. Like TChan (Maybe a) but with a monotonicity
    guarantee that once Nothing is returned all future reads will be
    Nothing as well.

Control.Concurrent.STM.TBMChan:
    Bounded Closeable FIFO channels.

Control.Concurrent.STM.TBMQueue:
    Bounded Closeable FIFO queues. Combines the capabilities of TBChan and
    TMChan.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

lang/ghc92

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 10.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 10.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 8.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 8.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0aarch64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0aarch64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0aarch64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0x86_64hs-stm-chans-3.0.0.6nb1.tgz
NetBSD 9.0x86_64hs-stm-chans-3.0.0.6nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.